#1545 closed defect (fixed)

Race condition in read call with iop->offset

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

PR 1255 covers the thread safe issues in the file system. This PR is the specific problem of the offset being updated. The solution is to move the update to the file systems.

Attachments (1)

pr1545-1.diff (5.7 KB) - added by Chris Johns on Jun 4, 2010 at 12:27:37 AM.
Move iop->offset to the file systems.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Jun 3, 2010 at 10:46:20 PM by Chris Johns

blocked: 1255

comment:2 Changed on Jun 3, 2010 at 10:47:23 PM by Chris Johns

Summary: Race condition is read call with iop->offsetRace condition in read call with iop->offset

comment:3 Changed on Jun 3, 2010 at 10:48:21 PM by Chris Johns

Milestone: 4.104.11

Changed on Jun 4, 2010 at 12:27:37 AM by Chris Johns

Attachment: pr1545-1.diff added

Move iop->offset to the file systems.

comment:4 Changed on Jun 12, 2012 at 10:25:27 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed, sebastian.huber@embedded-brains.de
Note: See TracTickets for help on using tickets.